package sample;

import javafx.scene.layout.Pane;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.*;

public class DataTable implements Serializable {
    private static int id=0;
    private int gameId;
    private int score;
    private int rounds;


    public DataTable(){
        id++;
        this.gameId=id;
        //this.score=score; Calcul du score avec la difficulté !

    }

    //Function update

    public void saveGame(){
        Main.getDatabase().getDatabaseFiles().add(this);
        try{
            Main.serialize();
        }
        catch (IOException e){
            //System.out.println("Cant close stream");
        }
    }

    public String toString()
    {
        return " Valeur a mettre";
    }
}